%define oname   curb

Name:       ruby-%{oname}
Version:    0.8.4
Release:    %mkrel 5
Summary:    Ruby libcurl bindings
Group:      Development/Ruby
License:    MIT
URL:        http://curb.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: curl-devel

%description
Curb (probably CUrl-RuBy or something) provides Ruby-language bindings for
the libcurl(3), a fully-featured client-side URL transfer library. cURL and
libcurl live at http://curl.haxx.se/

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc LICENSE README
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 0.8.4-5.mga4
+ Revision: 561824
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 0.8.4-4.mga4
+ Revision: 561131
- Fix gem macros

* Sat Dec 21 2013 pterjan <pterjan> 0.8.4-3.mga4
+ Revision: 559645
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 0.8.4-2.mga4
+ Revision: 538825
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 pterjan <pterjan> 0.8.4-1.mga4
+ Revision: 490469
- 0.8.4
- Use gem_setup
- Drop patch

* Fri Sep 20 2013 pterjan <pterjan> 0.8.1-5.mga4
+ Revision: 481945
- Rebuild for Ruby 2

* Tue Sep 10 2013 pterjan <pterjan> 0.8.1-4.mga4
+ Revision: 476982
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 0.8.1-3.mga3
+ Revision: 395823
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.8.1-2.mga3
+ Revision: 380760
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.8.1-1.mga3
+ Revision: 312814
- fix str fmt
- new version 0.8.1

* Sat Apr 16 2011 shikamaru <shikamaru> 0.7.15-1.mga1
+ Revision: 86547
- New version 0.7.15 - add check section

* Thu Feb 03 2011 shikamaru <shikamaru> 0.7.10-1.mga1
+ Revision: 46569
- imported package ruby-curb


* Thu Feb 03 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.7.10-1
- Initial package
